﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Syncfusion.Data;
using System.Reflection;
using System.Diagnostics;
using Syncfusion.Data.Extensions;
using SfDataGridDemo;
using System.ComponentModel;
using static SfDataGridDemo.ViewModel;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // to get the record of specific row index.
            var rowData = dataGrid.GetRecordAtRowIndex(4);
            var propertyCollection = this.dataGrid.View.GetPropertyAccessProvider();
            //to get the cellvalue of specific row and column 
            var cellValue = propertyCollection.GetValue(rowData, "EmployeeName");
            MessageBox.Show("Cell Value: "+cellValue);
        }
    }
}


   

   
         
   

